Update a Spec
Authorization
bearerAuth A personal API key (psk_…) or an OAuth access token (plan_at_…). Scopes: read, write.
In: header
Path Parameters
Project slug, e.g. recipe-box.
Plan handle within the project, e.g. PLAN-12.
Spec handle within the plan, e.g. SPEC-3 — or the tracker key of a linked spec, e.g. SIT-123.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/projects/string/plans/string/specs/string" \ -H "Content-Type: application/json" \ -d '{}'{ "spec": { "id": "string", "shortId": "string", "trackerKey": "string", "kind": "spec", "title": "string", "content": "string", "revision": "string", "status": "string", "parentSpecId": "string", "parentShortId": "string", "needsFirst": [ "string" ], "effort": 1, "effortLabel": "string", "readiness": 1, "readinessLabel": "string", "readinessHold": { "source": "checklist", "criteria": [ "string" ], "reasons": [ "string" ] }, "readinessReasons": [ "string" ], "openQuestions": { "open": 0, "resolved": 0 }, "acceptanceCriteria": [ { "id": "string", "text": "string", "checked": true, "body": "string" } ], "doneWhen": [ "string" ] }, "review_updated": { "mode": "product", "path": "string", "retired": [ "string" ], "ambiguous": [ "string" ], "findings": [ "string" ], "open_questions": [ "string" ], "readiness": 1, "verdict": "Rough", "recount": [ "string" ], "held": "string" }}